<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_ac607c7647863e835e243dbb2" . "e570767" => base64_decode("Li4vY29tbW" . "9uL2NsYXNz" . "ZXMvQ2xhVH" . "JlZS5waHA="), "i" . "d" => base64_decode("aWQ" . "="), "_939c6a45ff74" . "323dbef487ed1" . "5753a7c" => base64_decode("c3Rh" . "dGU="), "_5eb874c10bcb822ac57156206d34b" . "541" => base64_decode("ZGV" . "maW" . "5l"), "_ebcd6f048786cbe7c2507be" . "c81bfcf8b" => base64_decode("R1JPVVBTX1NZU1RFTV9HUk9VUF9TVEFURQ=" . "="), "it" . "em" => base64_decode("aXRl" . "bQ=="), "te" . "xt" => base64_decode("dGV4d" . "A=="), "_e34a896152ff9a2c8f8e20" . "43ef6a9862" => base64_decode("U0VMRUNUIGdyb3VwbmFtZSBGUk9NIGdyb3VwcyBXSEVSRSBn" . "cm91cGlkPWludDppZA=="), "_1252391" . "578f7170" . "2a86e93b" . "ddde5365" . "a" => base64_decode("dHJ" . "lZQ" . "=="), "_a0972d4e1cb63c1201a1861eb7" . "216618" => base64_decode("U0VMRUNUIGdyb3VwaWQgRlJPTSBncm91cHMgV0hFUkUgcGFyZ" . "W50X2lkPWludDppZA=="));
require_once $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_ac607c7647863e835e243dbb" . "2e570767"];
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_5eb874c10bcb8" . "22ac57156206d3" . "4b541"]($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_ebcd6f048786cbe7c2507bec81b" . "fcf8b"], 2);




class Groups
{
    
    
    
    
    
    
    protected $tree;
    public function __construct()
    {
        $this->tree = new ClaTree();
    }
    
    
    
    
    
    
    public function GetGroupsTree()
    {
        $root = $this->tree->appendChild(new DOMElement($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_1252391578f71702a86e93bddd" . "e5365a"]));
        $root->setAttribute($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["i" . "d"], 0);
        $this->LoadNode($root);
        return $this->tree;
    }
    
    
    
    
    
    
    protected function LoadNode(DOMElement $_5c59c380aa5c5e5f18f039ad7757fe97)
    {
        foreach ($this->GetChildsInfoById($_5c59c380aa5c5e5f18f039ad7757fe97->getAttribute($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["i" . "d"])) as $_174e15928a28c15cc95b46dd39328987) {
            $_df8d541fa6963e8101557408acad8023 = $_5c59c380aa5c5e5f18f039ad7757fe97->appendChild($this->GetElementByInfo($_174e15928a28c15cc95b46dd39328987));
            $_df8d541fa6963e8101557408acad8023->Load();
            $this->LoadNode($_df8d541fa6963e8101557408acad8023);
        }
    }
    protected function GetElementByInfo($info)
    {
        list($id) = $info;
        return new GroupTreeElement($id);
    }
    
    
    
    
    
    
    
    
    protected function GetChildsInfoById($id)
    {
        global $db;
        $_343a395319323dd7609bcbc465b4d034 = array();
        $_189840d11056515e52402d1412a0b6e4 = $db->query($this->GetChildsQuery($id));
        while ($row = $_189840d11056515e52402d1412a0b6e4->fetchRow()) {
            $_343a395319323dd7609bcbc465b4d034[] = $row;
        }
        return $_343a395319323dd7609bcbc465b4d034;
    }
    
    
    
    
    
    
    
    protected function GetChildsQuery($id)
    {
        return new Query($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_a0972d4e1cb63c1201a1861eb72" . "16618"], $id);
    }
}




class GroupTreeElement extends ClaTreeElement
{
    protected $state = GROUPS_SYSTEM_GROUP_STATE;
    public string $id;
    public function __construct($id)
    {
        parent::__construct($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["ite" . "m"]);
        $this->id = $id;
    }
    
    
    
    
    public function Load()
    {
        global $db;
        $this->SetBasicAttributes();
        list($name) = $db->query_row($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_e34a896152ff9a2c8f8e2043ef" . "6a9862"], $this->id);
        $this->setAttribute($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["te" . "xt"], $name);
        $this->AddUserDataByName($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_939c6a45ff74" . "323dbef487ed1" . "5753a7c"], $this->state);
    }
}